# Class TextElement

  Thelia\Tpex\Element\BaseElement
  Thelia\Tpex\Element\TextElement

Namespace: Thelia\Tpex\Element
Located at core/lib/Thelia/Tpex/Element/TextElement.php

Methods summary
`public` | # `__construct( mixed $text )`
`public mixed` | # `addContent( mixed $text )` #### Parameters $text `mixed` $content #### Returns `mixed`
`public` | # `exec( mixed $substitutions = array() )`
`public integer` | # `type( )` type must return the code of this element. ex : return Thelia\Tpex\TpexToken::TpexText #### Returns `integer`

Methods inherited from Thelia\Tpex\Element\BaseElement
`replace()`

Properties inherited from Thelia\Tpex\Element\BaseElement
`$content`